Bug report #17599

Importing ZM vectors to PostGIS does not work

Added by Teddy Guerin over 2 years ago. Updated about 1 year ago.

Status:Closed
Priority:Normal
Assignee:-
Category:Vectors
Affected QGIS version:3.4.3 Regression?:No
Operating System: Easy fix?:No
Pull Request or Patch supplied:No Resolution:fixed/implemented
Crashes QGIS or corrupts data:No Copied to github as #:25496

Description

With QGIS 2.18.3 it is impossible to load shapefile pointZ in PostGIS database.
It works with ogr, but with GUI in QGIS it doesn't work.
"error 8"
It works with QGIS 2.8
It works with QGIS 2.14 but we must add option "simple geometry".

I add a file for test.

sondes.zip - PointZ (13.9 KB) Teddy Guerin, 2017-12-01 08:34 AM

load_pointZ.png (260 KB) Teddy Guerin, 2017-12-05 07:57 AM

QGIS_2_Postgis_PB.PNG (37.6 KB) Teddy Guerin, 2019-01-21 09:00 AM

History

#1 Updated by Giovanni Manghi over 2 years ago

  • Status changed from Open to Feedback
  • Subject changed from cannot upload shp pointZ to PostGIS whith GUI QGIS to cannot upload shp pointZM to PostGIS whith GUI QGIS
  • Category changed from Data Provider/PostGIS to Vectors
  • Assignee deleted (Jürgen Fischer)
  • Regression? changed from Yes to No

I cannot confirm that this worked somehow in 2.8 (the layer is not even recognized as a geometry one) or 2.14 (error as in 2.18). Is needed to check if this only affects ZM layers (like the one attached) or also Z layers.

#2 Updated by Giovanni Manghi over 2 years ago

It seems that with Z layers it all works as expected, so the bug may concern only ZM ones.

#3 Updated by Teddy Guerin over 2 years ago

Hi,

I add a screenshot to improve understanding.

Best regards

#4 Updated by Giovanni Manghi over 2 years ago

Teddy Guerin wrote:

Hi,

I add a screenshot to improve understanding.

thanks, as I said above the layer is ZM and not only Z (with the latter type is all ok).

#5 Updated by Giovanni Manghi over 2 years ago

  • Subject changed from cannot upload shp pointZM to PostGIS whith GUI QGIS to Importing ZM vectors to PostGIS does not work
  • Status changed from Feedback to Open
  • Operating System deleted (Windows)

#6 Updated by Jürgen Fischer about 1 year ago

  • Status changed from Open to Feedback

Please test with QGIS 3.4 - QGIS 2.18 reached it's end of life.

#7 Updated by Teddy Guerin about 1 year ago

Hi,

I've just tested and I have an error "pop up".
In attachment a new screenshot.

Ted

#8 Updated by Giovanni Manghi about 1 year ago

  • Affected QGIS version changed from 2.18.13 to 3.4.3

#9 Updated by Giovanni Manghi about 1 year ago

  • Status changed from Feedback to Closed
  • Resolution set to fixed/implemented

Works fine on 3.6

Also available in: Atom PDF